Basque Cyber Security Centre - Centro Vasco de Ciberseguridad

Múltiples vulnerabilidades en implantes cardíacos ICD y CRT-D de Abbott Laboratories

Fecha de publicación: 18/04/2018

Importancia: Alta

Recursos afectados:

Los siguientes modelos de ICD (Implantable Cardioverter Defibrillator) y CRT-D (Cardiac Synchronization Therapy Defibrillator) de Abbott Laboratories:

  • Fortify
  • Fortify Assura
  • Quadra Assura
  • Quadra Assura MP
  • Unify
  • Unify Assura
  • Unify Quadra
  • Promote Quadra
  • Ellipse
  • Current
  • Promote

Descripción:

MedSec Holdings Ltd. ha reportado estas vulnerabilidades al NCCIC y Abbott Laboratories. Un atacante cercano al dispositivo puede interferir en el rango de radio frecuencia, saltarse la autenticación y acceder sin permiso para cambiar comandos, modificar variables o interferir en el correcto funcionamiento del mismo.

Solución:

El fabricante ha publicado una actualización de firmware que resuelve todas las vulnerabilidades identificadas en sus productos. Esta actualización puede ser aplicada a través de Merlin PCS Programmer por el proveedor de atención médica. Abbott y la FDA recomiendan esta actualización para todos los pacientes en la próxima visita programada o cuando sea apropiado dependiendo de las preferencias del paciente y del médico. Los ICD y CRT-D fabricados a partir del 25 de abril de 2018 ya contarán con estas actualizaciones preinstaladas.

Además, desde el Cybersecurity Medical Advisory Board se recomiendan las siguientes medidas preventivas:

  • Los proveedores de atención médica y los pacientes deben analizar los riesgos y beneficios de estas vulnerabilidades y de las actualizaciones del firmware correspondiente durante la próxima visita, teniendo en cuenta los casos concretos de los pacientes, tales como dependencia del marcapasos, la frecuencia de la terapia de alto voltaje, la edad del dispositivo, la preferencia del paciente, también se deberá de proporcionar a los pacientes la "Comunicación con el paciente".
  • Determinar si la actualización del firmware es apropiada dado el riesgo de actualización para el paciente. Si se considera apropiado, instalar la actualización de firmware conforme a las instrucciones proporcionadas por el fabricante.
  • Las actualizaciones del firmware deben de llevarse a cabo en una instalación que disponga de sistemas adecuados de monitorización y desfibrilación externa.

Detalle:

  • Autenticación incorrecta: El algoritmo empleado para la autenticación, que utiliza una clave de autenticación y un valor de tiempo, pueden ser comprometido o evitado, esto permitiría a un atacante cercado enviar comandos a los dispositivos ICD o CRT-D modificando las señales de radio frecuencia. Se han asignado el código CVE-2017-12712 para esta vulnerabilidad de severidad alta.
  • Restricciones incorrectas sobre peticiones que afectan al consumo de batería: Los ICD o CRT-D no disponen de una correcta gestión del número de peticiones que se pueden realizar del tipo ?RF wake-up?, esto permitiría a un atacante cercano abusar del envío de este tipo de comandos para reducir el tiempo de vida útil de la batería. Se han asignado el código CVE-2017-12714 para esta vulnerabilidad de severidad media.

Etiquetas: Actualización, Vulnerabilidad